Subject: Re: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Nov 2022 23:41:59 +0200

On 27/11/22 18:43, Eli Zaretskii wrote:
>> Date: Sun, 27 Nov 2022 17:51:45 +0200
>> Cc:[email-masked],[email-masked],[email-masked],
>>   [email-masked],[email-masked],[email-masked],
>>   [email-masked],[email-masked],[email-masked],
>>   [email-masked],[email-masked],[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>> On 27/11/22 16:27, Eli Zaretskii wrote:
>>
>>> (Btw, why "VC project"? can't I use marker files for non-VC projects?)
>> Yes, you can. That's what the docstring says: "can also be used for
>> projects outside of VC repositories".
>>
>> But "VC project" is a proper noun in this usage. Basically, a "VC
>> project" is whatever value (if non-nil) that is returned by project-try-vc.
> Then maybe change that to something like
> 
>      A directory containing such a marker file or a file matching a marker
>      pattern will be recognized as the root of a project whose type is
>      "VC project".

If you say quote help, it's fine by me.

> The point of this is to tell that those markers indicate projects whose type
> just happens to be "VC project".  Otherwise the above could be interpreted
> that the markers can be used only inside VC projects.

Sure.

>> Like the patch also says (and what's given me a pause in the past), that
>> also makes "VC project" somewhat a misnomer. But I'm not sure what to
>> call them better
> How about VC-backed project?

Is that different? I would say it might be worse: "VC-backed" sounds 
like a project that must correspond to a VC repository (be "backed" by it).

OTOH a new term we could use would stand for something like: a project 
type which will recognize the enabled kinds of VC repositories and use 
their roots as project root, and knows how to use certain VC systems to 
speed up the fetching of files, and knows about Git submodules, but also 
recognizes other directories (inside or outside of VC repositories) 
based on configurable conditions.